<?php
declare(strict_types=1);

namespace PpPhp\Core\Platform\Event\Lifecycle\Project;

use PpPhp\Core\Platform\Event\Lifecycle\LifecycleEvent;

final class ProjectBuilt extends LifecycleEvent
{
    public function __construct(string $projectId = '', array $payload = [], array $metadata = [])
    {
        $payload = ['projectId' => $projectId] + $payload;
        parent::__construct('platform.project.built', 'project', 'built', 'project', $payload, $metadata);
    }
}
